Bug 807819 - Review Request: uboot-beagle - U-Boot for beagleboard
Review Request: uboot-beagle - U-Boot for beagleboard
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-03-28 16:05 EDT by Dennis Gilmore
Modified: 2012-04-20 09:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-20 09:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2012-03-28 16:05:54 EDT
Spec URL: http://ausil.us/packages/uboot-beagle.spec
SRPM URL: http://ausil.us/packages/uboot-beagle-2011.12-1.fc18.src.rpm
Description: 
This package contains a U-Boot boot loader for the beagleboard
Comment 1 Dennis Gilmore 2012-04-19 09:43:40 EDT
updated to 2012.04-rc2 release 

Spec URL: http://ausil.us/packages/uboot-beagle.spec
SRPM URL: http://ausil.us/packages/uboot-beagle-2012.04-0.1.fc18.rc2.src.rpm
Comment 2 Robert Nelson 2012-04-19 11:59:08 EDT
Testing on my Beagle C4, after rebuilding the *.src.rpm on f17-armhf...

Please also add u-boot.img as a export file to the spec...

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -m 0644 u-boot.bin $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -m 0644 u-boot.img $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -m 0644 MLO $RPM_BUILD_ROOT%{_datadir}/%{name}/

Background, in u-boot when the SPL infrastructure was added to replace the older X-Loader, it was decided to load a u-boot.img (with u-boot wrapper) vs the older raw u-boot.bin.

So on the sd card:

MLO -> u-boot.img -> uEnv.txt -> kernel...

Regards,
Comment 3 Dennis Gilmore 2012-04-20 09:59:27 EDT
ive worked out how to build this from the uboot-tools package and am building an update now. i have included the u-boot.img file as well

Note You need to log in before you can comment on or make changes to this bug.